// Copyright 2022 The Sigstore Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by injection-gen. DO NOT EDIT.

package clusterimagepolicy

import (
	context "context"

	apiscosignedv1alpha1 "github.com/sigstore/cosign/pkg/apis/cosigned/v1alpha1"
	versioned "github.com/sigstore/cosign/pkg/client/clientset/versioned"
	v1alpha1 "github.com/sigstore/cosign/pkg/client/informers/externalversions/cosigned/v1alpha1"
	client "github.com/sigstore/cosign/pkg/client/injection/client"
	factory "github.com/sigstore/cosign/pkg/client/injection/informers/factory"
	cosignedv1alpha1 "github.com/sigstore/cosign/pkg/client/listers/cosigned/v1alpha1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	cache "k8s.io/client-go/tools/cache"
	controller "knative.dev/pkg/controller"
	injection "knative.dev/pkg/injection"
	logging "knative.dev/pkg/logging"
)

func init() {
	injection.Default.RegisterInformer(withInformer)
	injection.Dynamic.RegisterDynamicInformer(withDynamicInformer)
}

// Key is used for associating the Informer inside the context.Context.
type Key struct{}

func withInformer(ctx context.Context) (context.Context, controller.Informer) {
	f := factory.Get(ctx)
	inf := f.Cosigned().V1alpha1().ClusterImagePolicies()
	return context.WithValue(ctx, Key{}, inf), inf.Informer()
}

func withDynamicInformer(ctx context.Context) context.Context {
	inf := &wrapper{client: client.Get(ctx), resourceVersion: injection.GetResourceVersion(ctx)}
	return context.WithValue(ctx, Key{}, inf)
}

// Get extracts the typed informer from the context.
func Get(ctx context.Context) v1alpha1.ClusterImagePolicyInformer {
	untyped := ctx.Value(Key{})
	if untyped == nil {
		logging.FromContext(ctx).Panic(
			"Unable to fetch github.com/sigstore/cosign/pkg/client/informers/externalversions/cosigned/v1alpha1.ClusterImagePolicyInformer from context.")
	}
	return untyped.(v1alpha1.ClusterImagePolicyInformer)
}

type wrapper struct {
	client versioned.Interface

	resourceVersion string
}

var _ v1alpha1.ClusterImagePolicyInformer = (*wrapper)(nil)
var _ cosignedv1alpha1.ClusterImagePolicyLister = (*wrapper)(nil)

func (w *wrapper) Informer() cache.SharedIndexInformer {
	return cache.NewSharedIndexInformer(nil, &apiscosignedv1alpha1.ClusterImagePolicy{}, 0, nil)
}

func (w *wrapper) Lister() cosignedv1alpha1.ClusterImagePolicyLister {
	return w
}

// SetResourceVersion allows consumers to adjust the minimum resourceVersion
// used by the underlying client.  It is not accessible via the standard
// lister interface, but can be accessed through a user-defined interface and
// an implementation check e.g. rvs, ok := foo.(ResourceVersionSetter)
func (w *wrapper) SetResourceVersion(resourceVersion string) {
	w.resourceVersion = resourceVersion
}

func (w *wrapper) List(selector labels.Selector) (ret []*apiscosignedv1alpha1.ClusterImagePolicy, err error) {
	lo, err := w.client.CosignedV1alpha1().ClusterImagePolicies().List(context.TODO(), v1.ListOptions{
		LabelSelector:   selector.String(),
		ResourceVersion: w.resourceVersion,
	})
	if err != nil {
		return nil, err
	}
	for idx := range lo.Items {
		ret = append(ret, &lo.Items[idx])
	}
	return ret, nil
}

func (w *wrapper) Get(name string) (*apiscosignedv1alpha1.ClusterImagePolicy, error) {
	return w.client.CosignedV1alpha1().ClusterImagePolicies().Get(context.TODO(), name, v1.GetOptions{
		ResourceVersion: w.resourceVersion,
	})
}
